<template>
  <el-container class="default-layout">
    <el-aside width="300px">
      <img :src="logo" :alt="logo" class="logo" />

      <el-menu :default-active="`${current_menu_index}`">
        <el-menu-item
          v-for="(menu, index) in menu_list"
          :key="index"
          :index="`${index}`"
          @click="selectMenu(menu)"
        >
          <span>{{ menu.name }}</span>
        </el-menu-item>
      </el-menu>
    </el-aside>

    <el-container class="main-wrap">
      <el-header>
        <div class="account-name">
          <span class="material-icons">account_circle</span>

          <span class="name">Siripa Boobmee (Admin2)</span>
        </div>

        <el-button type="text" class="btn-logout" @click="logout">
          <span class="material-icons">
            logout
          </span>

          Logout</el-button
        >
      </el-header>

      <el-main>
        <Nuxt class="app" />
      </el-main>
    </el-container>
  </el-container>
</template>

<script>
export default {
  data() {
    return {
      logo: require("~/assets/images/logo.svg"),
      menu_list: [
        {
          name: "Round promotion",
          path: "/round-promotion",
        },
        {
          name: "About us",
          path: "/about-us",
        },
        {
          name: "Gift update",
          path: "/gift-update",
        },
        {
          name: "Blog",
          path: "/blog",
        },
      ],
    }
  },
  computed: {
    current_menu_index() {
      return this.menu_list.findIndex(m => m.path === this.$route.path)
    },
  },
  methods: {
    logout() {
      this.$router.push("/login")
    },
    selectMenu(menu) {
      this.$router.push(menu.path)
    },
  },
}
</script>

<style lang="scss">
.default-layout {
  min-height: 100vh;
  background: $color-light-grey;
}
.btn-logout {
  color: $color-dark-grey;
}
.el-aside {
  display: flex;
  flex-direction: column;
  .logo {
    width: 100%;
  }
  .el-menu {
    flex: 1;
    border: none;
    background: none;
    .el-menu-item.is-active {
      font-weight: bold;
    }
  }
}
.main-wrap {
  display: flex;
  flex-direction: column;
  .el-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .account-name {
      display: flex;
      align-items: center;
      .name {
        margin-left: 8px;
      }
    }
    .btn-logout {
      span {
        display: flex;
        align-items: center;
        .material-icons {
          margin-right: 8px;
        }
      }
    }
  }
  .el-main {
    padding-bottom: 30px;
  }
}
</style>
